/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.woocommerce-checkout-review-order-table .product-name {
    width:250px !important;
}

#gls-map-button {
    margin-top: 15px;
    border-color: #00498f;
    color: #00498f;
}

@media (max-width: 640px) {
    .woocommerce-checkout-review-order-table thead {
        display: none;
    }

    .elementor-widget-woocommerce-checkout-page .woocommerce-shipping-totals td,
    .elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-checkout-review-order-table .cart_item td.product-name {
        width:100% !important;
        max-width:100% !important;
    }

    .woocommerce-checkout-review-order-table,
    .woocommerce-checkout-review-order-table tfoot,
    .woocommerce-checkout-review-order-table tbody,
    .woocommerce-checkout-review-order-table tr,
    .woocommerce-checkout-review-order-table td {
        display: block;
        width: 100%;
    }

    .woocommerce-checkout-review-order-table tr {
        margin-bottom: 1rem;
        border: 1px solid #ddd;
        padding: 0.5rem;
    }

    .woocommerce-checkout-review-order-table td {
        display: flex;
        justify-content: space-between;
        padding: 0.5rem 0;
        border: none;
    }

    .woocommerce-checkout-review-order-table td::before {
        content: attr(data-label);
        font-weight: bold;
        margin-right: 1rem;
    }
}

#gls-map-button:focus,
#gls-map-button:hover {
    margin-top: 15px;
    border-color: #00498f;
    background-color: #00498f;
    color:#fff;
}



.elementor-wc-products ul.products li.product  {
    .product-desktop {
        .button.add_to_wishlist_button {
            font-size:26px !important;
            background: transparent !important;
            padding: 0px !important;
            color: #00498f !important;
            border-radius: 5px !important;
            min-height: 38px !important;
            display: flex;
            align-items: center !important;
            vertical-align: top !important;
            width: 46px !important;
        }
    }
}

.elementor-wc-products ul.products li.product  {
    .product-desktop {
        .button.remove_from_wishlist {
            background: #D1222B !important;
            padding: 6px 15px 6px 15px !important;
            color: #fff !important;
            border-radius: 5px !important;
            min-height: 38px !important;
            /*display: flex !important;*/
            align-items:center !important;
            vertical-align: top !important;
        }
    }
}

.product-desktop {

    .product-left {
        display: flex;

        & > div {
            flex: 1;
            display:flex;
            &:first-child {
                justify-content: flex-start;
                align-items: center;
            }
            &:last-child {
                justify-content: flex-end;
                align-items: center;
            }
        }
    }

    .holex-product-tabbed-buy {
        display: flex;

        .product-data-container {
            display: flex;
            flex: 1;

            .holex-product-single-quantity {
                flex: 2;
            }

            .product-right {
                flex: 1;

                a {
                    display: inline-block;
                }

            }

        }
    }
}


@media screen and (max-width: 782px) {

    .holex-product-archive-thumb-container {
        display:flex;
        .holex-product-archive-thumb {
            flex:1 1 40%;
            max-width:150px;
        }
        .holex-product-archive-title {
            flex:1 1 55%;
        }
    }

    .search-cat-sep {
        display: none !important;
    }

    .search-category {
        display: none !important;
    }

    .elementor-alert:before {
        top: 50% !important;
        margin-top: -10px !important;
    }

    .product-desktop {
        display: none !important;
    }

    .product-mobile {
        display: flex !important;

        .product-left {
            flex: 2;
        }

        .product-right {
            flex: 1;
            text-align: right;
            justify-content: flex-end;
            align-items: center;
            display: flex;
        }

    }

    .product-left {

    }

    .elementor-wc-products ul.products li.product .button.add_to_wishlist_button,
    .add_to_wishlist_button {
        font-size:26px !important;
        background: transparent !important;
        padding: 0px !important;
        color: #00498f !important;
        border-radius: 5px !important;
        min-height: 38px !important;
        display: flex;
        align-items: center !important;
        vertical-align: top !important;
        width: 46px !important;
    }

    .elementor-wc-products ul.products li.product .button.remove_from_wishlist,
    .remove_from_wishlist {
        font-size:26px !important;
        background: transparent !important;
        padding: 0px !important;
        color: #00498f !important;
        border-radius: 5px !important;
        min-height: 38px !important;
        display: flex;
        align-items: center !important;
        vertical-align: top !important;
        width: 46px !important;
    }

}